/**************************************************
 * RCSId: $Id$
 *
 * HRI write functions
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log$
 **************************************************/
/*******************************************************************
 * Copyright (C) 2000 R. Alblas. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/
#include "wsat.h"
#include "hri1.h"
#include <malloc.h>

/*************************************
 * Write hri header 
 *************************************/
int write_hri1_hdr(RECORDINFO *rdi,int height)
{
  HRI1_FILEHDR *hrihdr;
  if (!(hrihdr=(HRI1_FILEHDR *)calloc(1,sizeof(*hrihdr)))) return 0;
  strcpy(hrihdr->code,HRI1SIGN);

  if (!(fwrite(hrihdr,sizeof(HRI1_FILEHDR),1,rdi->fp)))   /* read header */
  {
    free(hrihdr);
    return 0; 
  }
  free(hrihdr);
  return 1;
}

int write_hri1_line(RECORDINFO *rdi,guint16 *line)
{
  guchar tmp[6];
  FILE *fp=rdi->fp;
  gint16 bytes_per_line=GUINT16_TO_LE(rdi->fri.bytes_per_line);
  int i;

  strcpy(tmp,"FRAME");
  fwrite(tmp,5,1,fp);
  fwrite(&bytes_per_line,1,2,fp);
  for (i=0; i<364; i++)
  {
    tmp[0]=*(line);
    fwrite(tmp,1,1,fp);
    line++;
  }
  return 1;
}
