/**************************************************
 * RCSId: $Id$
 *
 * Old HRI file format header file
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log$
 **************************************************/
/*******************************************************************
 * Copyright (C) 2000 WSAT. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/
#ifndef HRI1_HDR
#define HRI1_HDR

#include <time.h>

/* ==== Some HRI1 file format specific characteristics ==== */
/* Signs in HRI1 file format */
#define HRI1SIGN "PDUS"
#define FRAMESTARTPDUS "FRAME"

/* Error codes in HRI1 file format */
#define MASK_HRI1_READ_OK_PRE  0x01
#define MASK_HRI1_REC_OK_PRE   0x02
#define MASK_HRI1_SYNC_OK_PRE  0x0c

#define MASK_HRI1_REC_OK_POST  0x10
#define MASK_HRI1_SYNC_OK_POST 0xe0


/* ==== Structures ==== */

/* Time info with 2 byte integers */
struct tm_sh_hri1
{
  gint16 tm_sec,tm_min,tm_hour;
  gint16 tm_mday,tm_mon,tm_year,tm_wday,tm_yday,tm_isdst;
};

/*************************************
 * File header HRI1 format.
 *************************************/
typedef struct pdushdr
{
  char code[8];
  gint16 lenhdr;
  gint16 width,height;
  gint16 nrkan;
  struct tm_sh_hri1 tm;
} HRI1_FILEHDR;


/* ==== Functions ==== */
int read_hri1_hdr();
int get_hri1_nextline();
int read_hri1_line();
int write_hri1_hdr();
int write_hri1_line();

#endif

