/*****************************************************
 * RCSId: $Id$
 *
 * Header file for main menu:
 *   def of functions activated by menu
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log$
 *****************************************************/
/*******************************************************************
 * Copyright (C) 2000 WSAT. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/

/* Functions accessed by menu */

/* Menu File */
void MenuSelectFile();
void MenuSave();
void Menu_Info();
void Menu_LDKepler();
void close_file();

/* Menu Edit */
void Menu_Hdredt();
void Menu_orbitedt();
void MenuPrefs();

/* Menu View */
void load_palette();
void load_greyscale();
void Menu_Viewbuts();
void Menu_Zoombuts();
void Menu_Zoom();
void Menu_Lummap();
void Menu_Lumthr();
void Menu_Mapchan();
void Menu_Film();

/* Menu Record */
void Menu_Rec_Hrpt();
void Menu_Rec_Hri();
#if _RAWDT_
void Menu_Rec_Rawd();
#endif

/* Menu Channel */
void Menu_Channel();

void Menu_Test();


/*************************************
 * Menu items. 
 * These are also the handles to be used in 'Find_Widget()'.
 *************************************/
#define MENU_SEPAR      "separator/"

#define MENU_FILE       "/File"
#define MENU_OPEN       "File/Open..."
#define MENU_CLOSE      "File/Close"
#define MENU_SAVE       "File/Save as..."
#define MENU_INFO       "File/File info..."
#define MENU_LDKEPLER   "File/Load Kepler..."
#define MENU_QUIT       "File/Quit"

#define MENU_EDIT       "/Edit"
#define MENU_FHDR       "Edit/File header..."
#define MENU_KEPLER     "Edit/Kepler..."
#define MENU_PREF       "Edit/Preferences..."

#define MENU_VIEW       "/View"
#define MENU_SATDIR     "View/Sat from South"
#define MENU_GRIDADD    "View/Grid"
#define MENU_POSXY      "View/Position XY"
#define MENU_INVERSE    "View/Invert"
#define MENU_TEMP       "View/Temperature"
#define MENU_LIN        "View/Linearize"
#define MENU_DESPEC     "View/Despeckle"
#define MENU_MARK_FLTS  "View/Mark faulty lines"
#define MENU_SKIP_FLTS  "View/Skip faulty lines"

#define MENU_SKIP_PP    "/View/Set skip"
#define MENU_SKIP_PRE   "View/Set skip/Use Pre sync"
#define MENU_SKIP_POST  "View/Set skip/Use Post sync"

#define MENU_SKIP_DFLTS "View/Skip lines 'dec. out-of-sync'"
#define MENU_SKIP_SFLTS "View/Skip lines 'faulty syncword'"

#define MENU_PALETTE    "/View/Palette"
#define MENU_LD_PALETTE "View/Palette/Load_Palette"
#define MENU_GR_PALETTE "View/Palette/Grey_Palette"

#define MENU_LUM        "View/Lum..."
#define MENU_CHMAP      "View/Channel_map..."
#define MENU_FILM       "View/Film..."

#define MENU_ZOOM       "/Zoom"
#define MENU_FULL       "Zoom/100% (f)"
#define MENU_ZMIN       "Zoom/In (i)"
#define MENU_ZMOUT      "Zoom/Out (o)"
#define MENU_ZMVAR      "Zoom/Var (z)"
#define MENU_ZMFIX      "Zoom/Fix (ctrl)"

#define MENU_ZMLAST     "Zoom/Last (l)"
#define MENU_ZMDXY      "Zoom/dx->dy (c)"
#define MENU_ZMDYX      "Zoom/dy->dx (C)"
#define MENU_ZMXY       "Zoom/zx->zy"
#define MENU_ZMYX       "Zoom/zy->zx"
#define MENU_ZPRE       "Zoom/Prev"
#define MENU_ZVAL       "Zoom/Values..."

#define MENU_LUMTHR     "Lum threshold"

#define MENU_REC        "/Record"
#define MENU_APT        "Record/APT..."
#define MENU_HRPT       "Record/HRPT..."
#define MENU_WEFAX      "Record/Wefax..."
#define MENU_HRI        "Record/HRI..."
#define MENU_RAWD       "Record/Raw..."

#define MENU_CHAN       "/Channel"
#define MENU_CH         "Channel/Ch"
#define MENU_CH1        "Channel/Ch1"
#define MENU_CH2        "Channel/Ch2"
#define MENU_CH3        "Channel/Ch3"
#define MENU_CH4        "Channel/Ch4"
#define MENU_CH5        "Channel/Ch5"
#define MENU_CH6        "Channel/Ch6"
#define MENU_CH7        "Channel/Ch7"
#define MENU_CH8        "Channel/Ch8"
#define MENU_CH9        "Channel/Ch9"
#define MENU_CH10       "Channel/Ch10"

#define MENU_HELP       "/Help"
#define MENU_PINFO       "Help/Prog info"
#define MENU_TEST       "Help/Test parport"

#define LAB_COORD       "Position"
#define LAB_PIXVAL      "Pixel"
#define LAB_GAMMAVAL    "Gamma"
#define LAB_SATNM       "Satellite"
