/*****************************************************
 * RCSId: $Id$
 *
 * Header file containing function defs
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log$
 *****************************************************/
/*******************************************************************
 * Copyright (C) 2000 WSAT. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/
#ifndef WSAT_FUNCS
#define WSAT_FUNCS

int Read_Prefs();
void Load_Prefs();

int open_file();
void close_picfile();
void close_recfile();
int open_new_recfile();
int create_new_filename();
char *strip_filename(char *);
FILE_TYPE detect_file(char *);

gboolean draw_pic();
void Channel_Select();
void init_menubuts();
int exist_file(char *);

ZOOMVALS zoom_full();
void correct_zoomval();
void Update_Zoom();
void Update_All();
void Update_Main();
void Update_Main_Wait();
void Update_Lum();
void Update_channel_save();

GtkWidget *Create_orbitedt_wnd(GtkWidget *,KEPLER *,ORBIT *);
GtkWidget *Create_kepleredt_wnd(GtkWidget *,KEPLER *,ORBIT *);
void Set_Keplervals(GtkWidget *,KEPLER *,ORBIT *);
int read_norad_next_keps(FILE *,char *,KEPLER *);
int get_satkeps(FILE *,char *,KEPLER *);
void Reload_Kepler(PICINFO *);
int Rewrite_hdr(PICINFO *);
float x2earthangle(float ,SCANDIR ,int ,int ,float );
int calc_orbitconst(KEPLER *,ORBIT *);
int xy2lonlat(int ,int ,PICINFO *,WPOINT *);
int draw_lonlat();

GdkCursor *create_cursor();
gboolean key_actions();
void mouse_actions();
void scroll_actions();

void load_std_palette();
void load_extra_palette();
void Repaint();
int map_pic();
int map_xy();
int scrx2picx(int ,VIEWINFO *,PICINFO *);
int picx2scrx(int ,VIEWINFO *,PICINFO *);
int scry2picy(int ,VIEWINFO *,PICINFO *);
int picy2scry(int ,VIEWINFO *,PICINFO *);

void Update_Coord(GtkWidget *,int ,int ,PICINFO *,VIEWINFO *);

void Translate_Pix();
void Translate_Line();
void draw_a_line_gc();
void draw_a_line_gc();
void draw_a_line_bw();
void draw_a_line_rgb();

int KeyPressed();

void select_channel_pp();
void Update_channel_state();
gboolean get_pp_data();

gboolean wait_for_insync();
gboolean wait_for_outsync();

int get_ppreg();
int read_line();
int read_lines();
guint16 **alloc_lines();
void free_lines();

int write_line();
FRAMEINFO calc_hrptframeinfo();
FRAMEINFO calc_hriframeinfo();
int search_first_reliable_frame();
int interpret_framehdr();
char *xrptid2name(int ,SAT_TYPE);

void add_gridpix();

int get_isuf();
int nint(float);

gboolean check_range(int,int ,int );
gboolean check_tm(struct tm *);
void yday2mday_mon(struct tm *);
gint32 mktime_ntz(struct tm *);

void fatal_error();
void error();
char *strcpya(char *);

VIEWINFO *Get_Viewinfo_db();
PICINFO *Get_Picinfo_db();
RECORDINFO *Get_Recordinfo_db();
void sleep_ms(int);

void Recordpp_Hri_Auto(GtkWidget *, gboolean);
void Recordpp_Hri(GtkWidget *,RECORDINFO *,PICINFO *,VIEWINFO *);
void Recordpp_Hrpt_Auto(GtkWidget * ,char *, SAT_TYPE);
void Recordpp_Hrpt(GtkWidget *,GtkWidget *,RECORDINFO *,PICINFO *,VIEWINFO *);
                   
void calc_lum_thresholds(VIEWINFO *,int );
void do_slide(GtkWidget *widget,gboolean start);
int do_batch(RECORDINFO *rdi,PICINFO *pci,VIEWINFO *vwi);

#endif
