/**************************************************
 * RCSId: $Id$
 *
 * SUN Raster format header
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log$
 **************************************************/
/*******************************************************************
 * Copyright (C) 2000 R. Alblas. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/

#ifndef SUNRTSHDR
#define SUNRTSHDR

#define SUNSIGN 0x59a66a95
#define RT_STANDARD 1
#define RMT_EQUAL_RGB 1

struct rasterfile
{
  long ras_magic;		/* magic number */
  long ras_width;		/* width (pixels) of image */
  long ras_height;		/* height (pixels) of image */
  long ras_depth;		/* depth (1, 8, or 24 bits) of pixel */
  long ras_length;		/* length (bytes) of image */
  long ras_type;		/* type of file; see RT_* below */
  long ras_maptype;		/* type of colormap; see RMT_* below */
  long ras_maplength;		/* length (bytes) of following map */
};

int cmp_sunsign();
int read_sun_header();
int write_sun_header();
int read_sun_line();
int write_sun_line();

#endif
